Page MenuHomePhabricator

[analyzer] Modernize CStringChecker to use CallDescriptions.
ClosedPublic

Authored by NoQ on May 28 2019, 4:47 PM.

Details

Summary

This uses the new CDF_MaybeBuiltin flag to handle C library functions. It's mostly a refactoring pass, but it does fix a bug in handling memset() when it expands to __builtin___memset_chk() because the latter has one more argument and memset() handling code was trying to match the exact number of arguments.

Diff Detail

Repository
rL LLVM

Event Timeline

NoQ created this revision.May 28 2019, 4:47 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 28 2019, 4:47 PM
a_sidorin accepted this revision.Jun 3 2019, 3:01 PM

LGTM!

This revision is now accepted and ready to land.Jun 3 2019, 3:01 PM
Szelethus accepted this revision.Jun 4 2019, 5:53 PM

That's beautiful *-*

xazax.hun accepted this revision.Jun 5 2019, 1:58 AM

Nice one :)

NoQ updated this revision to Diff 207407.Jul 1 2019, 2:12 PM

Remove more dead code!~

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 1 2019, 4:03 PM